Skip to main content
POST
Submit a statement

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <session> using the sessionId returned by POST /api/v1/authenticate. You can also send a personal access token or service account key directly as the bearer token, or use an SSO/OIDC JWT.

Headers

cluster-name
string
required

The target cluster. Required on all requests.

Body

application/json
statement
string
required

The SQL statement to run.

catalog
string

Catalog to run the statement against.

schema
string

Schema to run the statement against.

wait_timeout
string

How long to wait for the statement, for example 30s.

format
string

Result format, for example JSON_ARRAY.

Response

Statement accepted.

statement_id
string

Identifier for the statement.

status
object
session_id
string

Session identifier to reuse via the X-Session-Id header.